Subject: Re: [PATCH] powerpc/85xx: clean up FPGA device tree nodes for Freecsale QorIQ boards

From: Tabi Timur-B04825 <[email-masked]>
Date: Wed, 31 Aug 2011 03:01:39 +0000

Kumar Gala wrote:
>
> On Aug 30, 2011, at 9:51 PM, Tabi Timur-B04825 wrote:
>
>> Kumar Gala wrote:
>>> Do we really want the generic "fsl,fpga-cpld"&   "fsl,fpga-pixis"?  This seems to vague.
>>
>> Yes, the PIXIS is generally register compatible across all boards.  There
>> may be some minor differences, but the OCM driver can work with all PIXIS
>> boards that have an PIXIS.
>
> Is this true?  Don't we have pixis and ngpixis in u-boot?

I forgot about that.  Well, everything I said is true about the ngpixis, 
so I guess I should use "ngpixis" instead of just "pixis" here.  I'll have 
to check if the old pixis can be used this way.

>
>>> Also you need "pixis" on MPC8544DS, MPC8572DS, MPC8536DS.
>>
>> Ok.
>>
>>> Also fpga-cpld makes no sense if we keep this.  You are either a CPLD or FPGA not both.
>>
>> Then I don't understand what the CPLD is.
>
> http://en.wikipedia.org/wiki/Complex_programmable_logic_device

Ok, I get it now.  Is there a name for the CPLD we use on these chips? 
I'm having a hard time getting proper documentation on the CPLD.  York 
expressed similar frustration.

Perhaps these should be called board-control devices.  How about

	fsl,boardcontrol-cpld
	fsl,boardcontrol-ngpixis
	fsl,boardcontrol-qixis

-- 
Timur Tabi
Linux kernel developer at Freescale